-------------------------------------------------------------------------------
-- Finders Keepers By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-------------------------------------------------------------------------------
local FK = LibStub("AceAddon-3.0"):GetAddon("Finders Keepers")
local L = LibStub("AceLocale-3.0"):GetLocale("Finders Keepers", false)

--[[ ZONE IDS:
	806 The Jade Forest
	807 Valley of the Four Winds
	809 Kun-Lai Summit
	810 Townlong Steppes
	811 Vale of Eternal Blossoms
	857 Krasarang Wilds
	858 Dread Wastes
	873 The Veiled Stair
]]--

FK.npcs = {
	-- jade warrior statue
	[31307] = {
		npc = L["Jade Warrior Statue"],
		npcid = 64272,
		item = 86199,	-- jade infused blade
		zone = 806,	-- the jade forest
		coords = {
			{x = 39.3, y = 46.7},
		},
	},
	
	-- glinting rapana whelk
	[31432] = {
		npc = L["Glinting Rapana Whelk"],
		npcid = 65552,
		item = 86529,	-- manipulator's talisman
		zone = 858,	-- dread wastes
		coords = {
			{x = 42.0, y = 62.2},
			{x = 42.2, y = 63.6},
			{x = 41.6, y = 64.6},
		},
	},
	
	-- ghostly pandaren fisherman
	[31284] = {
		npc = L["Ghostly Pandaren Fisherman"],
		npcid = 64004,
		item = 85973,	-- ancient padaren fishing charm
		zone = 807,	-- valley of the four winds
		coords = {
			{x = 46.8, y = 24.6},
		},
	},
	
	-- ghostly pandaren craftsman
	[31292] = {
		npc = L["Ghostly Pandaren Craftsman"],
		npcid = 64191,
		item = 86079,	-- ancient pandaren woodcutter
		zone = 807,	-- valley of the four winds
		coords = {
			{x = 45.4, y = 38.2},
		},
	},
}

FK.objects = {
	-- ancient jinyu staff
	[31402] = {
		item = 86196,
		zone = 806,
		coords = {
			{x = 47.1, y = 67.4},
			{x = 46.2, y = 71.2},
			{x = 44.9, y = 64.6},
		},
	},
	
	-- ancient pandaren mining pick
	[31399] = {
		item = 85777,
		zone = 806,
		coords = {
			{x = 46.1, y = 29.1},
			{x = 44.1, y = 27.0},
			{x = 43.8, y = 30.7},
		},
	},
	
	-- recipe: banana infused rum
	[31411] = {
		item = 87266,
		zone = 857,
		coords = {
			{x = 52.3, y = 88.7},
		},
	},
	
	-- blade of the poisoned mind
	[31438] = {
		item = 86527,
		zone = 858,
		coords = {
			{x = 28.8, y = 41.9},
		},
	},
	
	-- blade of the prime
	[31433] = {
		item = 86522,
		zone = 858,
		coords = {
			{x = 66.8, y = 63.8},
		},
	},
	
	-- bloodsoaked chitin fragment
	[31436] = {
		item = 86525,
		zone = 858,
		coords = {
			{x = 25.9, y = 50.3},
		},
	},
	
	-- dissector's staff of mutation
	[31435]  = {
		item = 86524,
		zone = 858,
		coords = {
			{x = 30.2, y = 90.8},
		},
	},
	
	-- hammer of ten thunders
	[31403] = {
		item = 86198,
		zone = 806,
		coords = {
			{x = 41.8, y = 17.6},
			{x = 43.0, y = 11.6},
		},
	},
	
	-- hozen warrior spear
	[31413] = {
		item = 86394,
		zone = 809,
		coords = {
			{x = 51.5, y = 74.0},
		},
	},
	
	-- lucid amulet of the agile mind (amber encased necklace)
	[31431] = {
		item = 86521,
		zone = 858,
		coords = {
			{x = 33.0, y = 30.1},
		},
	},
	
	-- mailk's stalwart spear
	[31430] = {
		item = 86520,
		zone = 858,
		coords = {
			{x = 48.7, y = 30.0},
		},
	},
	
	-- pandaren fishing spear
	[31409] = {
		item = 86124,
		zone = 857,
		coords = {
			{x = 50.8, y = 49.3},
		},
	},
	
	-- staff of the hidden master
	[31407] = {
		item = 86218,
		zone = 807,
		coords = {
			{x = 15.4, y = 29.1},
			{x = 17.5, y = 35.7},
			{x = 19.1, y = 37.9},
			{x = 15.0, y = 33.7},
			{x = 19.0, y = 42.5},
		},
	},
	
	-- sturdy yaungol spear (stash of yaungol weapons)
	[31421] = {
		item = 88723,
		zone = 809,
		coords = {
			{x = 71.2, y = 62.6},
			{x = 70.0, y = 63.8},
		},
	},
	
	-- swarming cleaver of ka'roz
	[31434] = {
		item = 86523,
		zone = 858,
		coords = {
			{x = 56.8, y = 77.6},
		},
	},
	
	-- swarmkeeper's medallion
	[31437] = {
		item = 86526,
		zone = 858,
		coords = {
			{x = 56.8, y = 77.6},
		},
	},
	
	-- tablet of ren yun
	[31417] = {
		item = 86393,
		zone = 809,
		coords = {
			{x = 44.7, y = 52.4},
		},
	},
	
	-- wind-reaver's dagger of quick strikes
	[31666] = {
		item = 86519,
		zone = 858,
		coords = {
			{x = 71.8, y = 36.1},
		},
	},
	
	-- wodin's mantid shanker
	[31397] = {
		item = 85776,
		zone = 806,
		coords = {
			{x = 39.4, y = 7.3},
		},
	},
	
	-- yaungol fire carrier
	[31425] = {
		item = 86518,
		zone = 810,
		coords = {
			{x = 66.3, y = 44.7},
			{x = 66.8, y = 48.0},
		},
	},
}

FK.containers = {
	-- cache of pilfered goods
	[31406] = {
		name = L["Cache of Pilfered Goods"],
		zone = 807,
		coords = {
			{x = 43.5, y = 37.4},
		},
	},
	
	-- equipment locker
	[31410] = {
		name = L["Equipment Locker"],
		zone = 857,
		coords = {
			{x = 42.3, y = 92.0},
		},
	},
	
	-- sprite's cloth chest
	[31412] = {
		name = L["Sprite's Cloth Chest"],
		zone = 809,
		coords = {
			{x = 74.7, y = 74.9},
		},
	},
}